6.0.0-git
2019-07-19

[#14141] Check necessary permissions for config/conf.php at the beginning of groupware-install
Summary Check necessary permissions for config/conf.php at the beginning of groupware-install
Queue Horde Groupware
Queue Version 5.2.10
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester krichter (at) posteo (dot) de
Created 2015-10-16 (1372 days ago)
Due
Updated 2016-02-11 (1254 days ago)
Assigned
Resolved 2016-02-11 (1254 days ago)
Milestone
Patch No

History
2016-02-11 15:27:27 Jan Schneider State ⇒ Rejected
 
2016-01-13 17:00:20 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
We already do this a few lines earlier, in Bundle.php line 48.
2015-10-16 13:23:56 krichter (at) posteo (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Check necessary permissions for config/conf.php at the beginning of groupware-install
Queue ⇒ Horde Groupware
Milestone ⇒
Patch ⇒ No
Reply to this comment
instead of at the end. Script fails with

     Fatal Error:
     Cannot write configuration file /var/www/html/horde/config/conf.php
     In /usr/share/php/Horde/Core/Bundle.php on line 156

After all settings for the database connection have been made and thus 
those settings are lost. Checking necessary permissions at the 
beginning of the script prevents that and doesn't cause any harm.

Saved Queries